Get all addresses Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v2/addresses

This endpoint will return all addresses in the firm relevant to the user accessing them.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[account_uuids] string

    Filter by a comma separated list of account UUIDs.

  • filter[circle_uuids] string

    Filter by a comma separated list of circle UUIDs.

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [accounts, primary_accounts].

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, address_1, postcode]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • address_1 string
      • address_2 string
      • address_3 string
      • address_4 string
      • town_city string
      • county string
      • postcode string
      • country string
      • accounts object
        Hide accounts attributes Show accounts attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • primary_accounts object
        Hide primary_accounts attributes Show primary_accounts attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • moved_in_month integer
      • moved_in_year integer
      • moved_out_month integer
      • moved_out_year integer
      • residential_status string
      • residential_status_other string
      • lived_in_months integer
GET /api/v2/addresses
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/addresses' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "57e84b02-c02f-4006-aa79-154c0a829fb5",
      "created_at": "2026-07-17T15:25:30+01:00",
      "updated_at": "2026-07-17T15:25:30+01:00",
      "name": "Work Address",
      "address_1": "Suite E, 5 The Briars",
      "address_2": "Waterberry Drive",
      "address_3": "The Innovative Centre",
      "address_4": "Waterlooville",
      "town_city": "Waterlooville",
      "county": "Hampshire",
      "postcode": "PO7 7YH",
      "country": "United Kingdom",
      "accounts": {
        "uuid": "3977635d-61f1-438c-b5b9-007f7c31b554",
        "created_at": "2026-07-17T15:25:30+01:00",
        "updated_at": "2026-07-17T15:25:30+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      },
      "primary_accounts": {
        "uuid": "5915ffd9-560f-44e9-b564-8472324e72a6",
        "created_at": "2026-07-17T15:25:30+01:00",
        "updated_at": "2026-07-17T15:25:30+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      },
      "moved_in_month": 6,
      "moved_in_year": 2022,
      "moved_out_month": 1,
      "moved_out_year": 2024,
      "residential_status": "homeowner",
      "residential_status_other": "homeowner",
      "lived_in_months": 19
    }
  ]
}